Loading...
Searching...
No Matches
L4::Kobject_x< Derived, ARGS > Struct Template Reference
Base API » Kernel Objects » L4 kernel object type information

Generic Kobject inheritance template. More...

Inheritance diagram for L4::Kobject_x< Derived, ARGS >:
Collaboration diagram for L4::Kobject_x< Derived, ARGS >:

## Detailed Description

template<typename Derived, typename ... ARGS>
struct L4::Kobject_x< Derived, ARGS >

Generic Kobject inheritance template.

Template Parameters

  Derived | The class name that derives from Kobject_x.
  ARGS | An optional protocol number via L4::Proto_t, followed by an optional server-side requirement passed as L4::Type_info::Demand_t, followed by the list of base classes.

Definition at line 1197 of file __typeinfo.h.

The documentation for this struct was generated from the following file:

- l4/sys/__typeinfo.h